> ## Documentation Index
> Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# USDT Deposit Records



## OpenAPI

````yaml /CARDPLUS-API.json post /wallet/api/deposit/usdtRecord
openapi: 3.0.3
info:
  description: Wallet API Documentation
  version: '2.0'
  title: Wallet API Documentation
servers:
  - url: http://access-wallet.test.ftrader.pro
    description: Test development server
security: []
tags:
  - name: General
    description: General common APIs
  - name: Address Management
    description: User address CRUD operations
  - name: Agency Management
    description: Agency-related operations including card application and asset management
  - name: Asset Management
    description: User asset list and asset transfer operations
  - name: Card Management
    description: >-
      Card operations including activation, locking, balance, top-up, transfers,
      and queries
  - name: Deposit
    description: Deposit and top-up from user assets to card
  - name: KYT
    description: Know Your Transaction check
  - name: User Management
    description: User registration, KYC, card application, and information queries
paths:
  /wallet/api/deposit/usdtRecord:
    post:
      tags:
        - Deposit
      summary: USDT Deposit Records
      operationId: depositUsdtRecordUsingPOST
      parameters:
        - name: agencyCode
          in: query
          description: Agency code
          required: true
          schema:
            type: string
        - name: appId
          in: query
          description: App identifier
          required: true
          schema:
            type: string
        - name: appUserId
          in: query
          description: App user ID
          required: true
          schema:
            type: string
        - name: pageNo
          in: query
          description: Page number
          required: true
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: Items per page
          required: true
          schema:
            type: integer
            format: int32
        - name: sign
          in: query
          description: Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseAppPageApiUsdtRecordDTO'
components:
  schemas:
    ResponseAppPageApiUsdtRecordDTO:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          format: int32
        data:
          $ref: '#/components/schemas/AppPageApiUsdtRecordDTO'
        msg:
          type: string
    AppPageApiUsdtRecordDTO:
      type: object
      required:
        - dataTotal
        - haveNext
        - list
      properties:
        dataTotal:
          type: integer
          format: int64
        haveNext:
          type: boolean
        list:
          type: array
          items:
            $ref: '#/components/schemas/ApiUsdtRecordDTO'
    ApiUsdtRecordDTO:
      type: object
      properties:
        agencyCode:
          type: string
          description: Agency code
        amount:
          type: number
          description: Credited amount
        appId:
          type: string
          description: App identifier
        appUserId:
          type: string
          description: App user ID
        currency:
          type: string
          description: Currency
        feeAmount:
          type: number
          description: Fee amount
        flowNo:
          type: string
          description: Transaction flow number
        rechargeAmount:
          type: number
          description: Deposit amount
        rechargeTime:
          type: string
          format: date-time
          description: Deposit date

````